| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Named

Portability | unportable
Stability | unstable
Maintainer | none

Contents

Usage

Description
A module for assigning a name to a given layout.
Synopsis

named :: String -> l a -> ModifiedLayout Named l a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Named

Then edit your `layoutHook` by adding the Named layout modifier to some layout:

     myLayouts = named "real big" Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

named :: String -> l a -> ModifiedLayout Named l a | Source

Produced by Haddock version 2.4.2